%def_with M24

%if_with M24
%define _release alt1.M24.1
%else
%define _release alt2
%endif

Name: gammu
Version: 1.02.0
Release: %_release

Summary: Mobile phones management utility
Summary(ru_RU.KOI8-R):      
License: GPL
Group: Communications
Url: http://www.mwiacek.com/gsm/soft/gammu.html

Packager: Dmitry Vukolov <dav@altlinux.ru>

Source: http://www.mwiacek.com/zips/gsm/%name/%name-%version.tar.bz2

Patch1: %name-0.94.0-alt-configure-rpm.patch
Patch2: %name-079-alt-lock-path.patch
Patch3: %name-1.02.0-at-utf8.patch
Patch4: %name-1.02.0-ident_n2650.diff

Requires: lib%name = %version-%release

BuildPreReq: libbluez-devel >= 2.6
BuildPreReq: zlib-devel
BuildPreReq: libMySQL-devel

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Aug 23 2005
BuildRequires: libMySQL-devel libbluez-devel pkgconfig zlib-devel

%description
Gammu can do such things with cellular phones as making data calls, updating
the address book, changing calendar and ToDo entries, sending and receiving SMS
messages, loading and getting ring tones and pictures (different types of
logos), synchronizing time, enabling NetMonitor, managing WAP settings and
bookmarks and much more (available functions depend on the phone model). It can
also make full backups and restore them.

It currently supports many Nokia phones and AT devices (such as Siemens,
Alcatel, Falcom, WaveCom, IPAQ, and other).

%description -l ru_RU.KOI8-R
Gammu --       .   
  Gammu :  ,   ,
     ,    
 (SMS),          
 (  ),  , 
NetMonitor,   WAP,   ݣ   .
 , Gammu        c
     .

       Nokia  
,  AT- (   Siemens, Alcatel, Falcom,
WaveCom, IPAQ  ..)

%package -n lib%name
Summary: Libraries used by "%name"
Summary(ru_RU.KOI8-R):     "%name"
Group: System/Libraries

%description -n lib%name
Libraries needed for "%name".

%description -n lib%name -l ru_RU.KOI8-R
,    "%name".

%package -n lib%name-devel
Summary: Headers to compile against the "lib%name" library
Summary(ru_RU.KOI8-R):       "lib%name"
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains all files which one needs to compile programs using
the "lib%name" library.

%description -n lib%name-devel -l ru_RU.KOI8-R
   ,    , 
 "lib%name".

%package -n lib%name-devel-static
Summary: Static %name library
Summary(ru_RU.KOI8-R):   %name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static %name library.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
     %name.

%define _gammu_docdir %_defaultdocdir/%name-%version

%prep
%setup -q -n %name-%version

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
# The 'configure' wrapper script should take care of calling autoconf
%configure --with-docdir=%_gammu_docdir \
        %{subst_enable static}
%make_build shared

%install
%make installshared DESTDIR=%buildroot
%__mkdir_p %buildroot%_sysconfdir
%__sed -e 's|^port =.*$|port = /dev/ttyS0|' \
         -e 's|^connection =.*$|connection = dlr3|' \
         -e 's|^#use_locking =.*$|use_locking = yes|' \
         -e 's/
$//' \
         < docs/examples/config/%{name}rc > %buildroot%_sysconfdir/%{name}rc
%__chmod 644 %buildroot%_sysconfdir/%{name}rc

%__rm -f lang.files

# Temporary measure till the russian translation is fixed
%__rm -f docs/docs/locale/%{name}_ru.txt

for f in docs/docs/locale/%{name}_*.txt; do
        echo $f | sed 's:^.*\(%{name}_\)\(.*\)\(\.txt\)$:%%lang(\2) %_datadir/%name/\1\2\3:' >> lang.files
done

%__install -pD -m755 other/bash/config/%name-config %buildroot%_gammu_docdir/other/config/%name-config
%__mkdir_p %buildroot%_gammu_docdir/other/bash/files
%__mkdir_p %buildroot%_gammu_docdir/other/bash/smsdutil
%__install -p -m755 other/bash/files/PhoneGetRecentFiles.dat %buildroot%_gammu_docdir/other/bash/files/PhoneGetRecentFiles.pl
%__install -p -m755 other/bash/smsdutil/* %buildroot%_gammu_docdir/other/bash/smsdutil
%__cp -R other/php %buildroot%_gammu_docdir/other/

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -f lang.files
%_bindir/*
%config(noreplace) %_sysconfdir/%{name}rc
%dir %_datadir/%name

%doc %_mandir/man1/*
%docdir %_gammu_docdir
%dir %_gammu_docdir
%_gammu_docdir/changelog
%_gammu_docdir/copying
%_gammu_docdir/readme.txt
%_gammu_docdir/examples
%_gammu_docdir/other
%dir %_gammu_docdir/docs
%_gammu_docdir/docs/english
%lang(it) %_gammu_docdir/docs/italian
%exclude %_gammu_docdir/docs/english/replace.txt

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Sep 21 2005 Grigory Batalov <bga@altlinux.ru> 1.02.0-alt1.M24.1
- Nokia 2650 support by Alexey V. Novikov <shader-at-yandex.ru>
- backport to Master 2.4

* Mon Sep 19 2005 Dmitry Vukolov <dav@altlinux.ru> 1.02.0-alt2
- applied the at-utf8.patch from Michal Cihar

* Tue Aug 23 2005 Dmitry Vukolov <dav@altlinux.ru> 1.02.0-alt1
- version 1.02.0
- MySQL BuildRequires fixed
- translation files removed temporarily 

* Wed Apr 13 2005 Dmitry Vukolov <dav@altlinux.ru> 1.01.0-alt1
- version 1.01.0
- warning: connection fbusdku2 renamed to dku2phonet and fbusdku5 renamed
  to dku5fbus. make changes to .gammurc if necessary.

* Wed Mar 02 2005 Dmitry Vukolov <dav@altlinux.ru> 1.00.10-alt1
- version 1.00.10
- pic and mysql patches removed
- extra spec switches removed

* Sun Nov 28 2004 Dmitry Vukolov <dav@altlinux.ru> 0.99.6-alt2
- corrected BuildRequires

* Thu Nov 25 2004 Dmitry Vukolov <dav@altlinux.ru> 0.99.6-alt1
- version 0.99.6
- built with MySQL support

* Mon Oct 25 2004 Dmitry Vukolov <dav@altlinux.ru> 0.99-alt1
- new version

* Fri Sep 10 2004 Dmitry Vukolov <dav@altlinux.ru> 0.98-alt1
- new version

* Fri Aug 06 2004 Dmitry Vukolov <dav@altlinux.ru> 0.97-alt1
- version 0.97
- URL corrected
- removed GammuGUI
- new script: PhoneGetRecentFiles.pl

* Wed May 05 2004 Dmitry Vukolov <dav@altlinux.ru> 0.95-alt1
- new version
- for MySQL support rebuild using --with mysql option (disabled by default)

* Fri Mar 05 2004 Dmitry Vukolov <dav@altlinux.ru> 0.94-alt1
- new version

* Tue Feb 10 2004 Dmitry Vukolov <dav@altlinux.ru> 0.93-alt1
- new version

* Sun Jan 04 2004 Dmitry Vukolov <dav@altlinux.ru> 0.92-alt1
- new version

* Fri Dec 26 2003 Dmitry Vukolov <dav@altlinux.ru> 0.91-alt1
- new version

* Sat Nov 29 2003 Dmitry Vukolov <dav@altlinux.ru> 0.90-alt1
- new version
- new package: lib%name-devel-static (disabled by default)
- added "--enable static" support to the spec
- updated makefile-pic patch
- also package %name-config, smsdutil and %{name}gui

* Thu Nov 13 2003 Dmitry Vukolov <dav@altlinux.ru> 0.89-alt1
- new version
- added makefile-pic patch to get rid of text relocations in libGammu.so

* Mon Nov 03 2003 Dmitry Vukolov <dav@altlinux.ru> 0.88-alt1
- new version
- spec file corrections

* Mon Oct 20 2003 Dmitry Vukolov <dav@altlinux.ru> 0.87-alt1
- new version
- makefile-ldlibs patch merged upstream
- added "--with 7110incoming" support to the spec

* Sun Oct 12 2003 Dmitry Vukolov <dav@altlinux.ru> 0.86-alt1
- new version
- configure patch updated
- added makefile-ldlibs patch
- pkgconfig support
- updated BuildRequires

* Fri Oct 03 2003 Dmitry Vukolov <dav@altlinux.ru> 0.85-alt1
- new version

* Thu Sep 18 2003 Dmitry Vukolov <dav@altlinux.ru> 0.84-alt1
- new version
- corrected dependencies

* Tue Sep 09 2003 Dmitry Vukolov <dav@altlinux.ru> 0.83-alt1
- version 0.83
- added package lib%name-devel
- make use of the %%lang macro

* Tue Aug 05 2003 Dmitry Vukolov <dav@altlinux.ru> 0.81-alt1
- new version

* Sun Jul 27 2003 Dmitry Vukolov <dav@altlinux.ru> 0.80-alt1
- new version

* Thu Jul 10 2003 Dmitry Vukolov <dav@altlinux.ru> 0.79-alt1
- initial build for Sisyphus
- lock-path & configure patches

